Skip to content

Get project details + questions

GET
/v2/projects/{projectId}
curl --request GET \
--url https://api.surveycoder.io/v2/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'x-api-key: <x-api-key>'
projectId
required
string format: uuid

Project details

Media type application/json
object
success
boolean
data
object
id
string format: uuid
name
string
language
string
coding_type
string
status
string
Allowed values: pending in_progress completed
created_at
string format: date-time
questions
Array<object>
object
id
string format: uuid
text
string
status
string
Allowed values: pending codebook_ready coding coded
coding_type
string
response_count
integer
Example
{
"success": true,
"data": {
"name": "Q4 NPS Survey",
"language": "en",
"coding_type": "qualitative",
"status": "pending",
"questions": [
{
"text": "What did you like most about our service?",
"status": "pending"
}
]
}
}

Resource not found.

Media type application/json

Standard error envelope.

object
success
required
boolean
error
required
object
code
required

Machine-readable error code. See the error reference for the full list.

string
message
required

Human-readable explanation of what went wrong.

string
request_id

Echo of the X-Request-Id header, when provided.

string format: uuid
doc_url

Link to documentation for this specific error code.

string format: uri
Example
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Project not found",
"doc_url": "https://docs.surveycoder.io/errors/not-found"
}
}